Текст жана тизме куралдары
Иштеп жаткан маалыматтарды жүктөбөстөн, мазмунду тазалап, салыштырып жана өлчөңүз.
Текст саптарын борборлоштуруу
Ар бир сапты так Юникод белгисинин кеңдигинин ичинде ортого жайгаштырыңыз, ошол эле учурда бош саптарды сактап, кыйратуучу кыскартуудан баш тартыңыз.
Куралды ачуу →Сөздөрдөн префиксти алып салуу
Дал келген Unicode сөздөрүнөн алдыдагы бир так фрагментти алып салыңыз жана тыныш белгилерин, боштуктарды жана дал келбеген сөздөрдү өзгөртүүсүз калтырыңыз.
Куралды ачуу →Сөздөрдөн суффиксти алып салуу
Туура келген Unicode сөздөрдөн бир так аяктагы кошумчаны бөлгүчтөрдү жалпайтуусуз же ошол суффиксти алып жүрбөгөн сөздөрдү өзгөртпөстөн алып салыңыз.
Куралды ачуу →Белгилердин ортосуна бөлгүчтү кошуу
Тандалган бөлгүчтү суррогат жуптарын, мисалы эмодзилерди, жараксыз жарым-жартысыларга бөлбөстөн Unicode код чекиттеринин ортосуна коюңуз.
Куралды ачуу →Ар бир текст саптан цитата алуу
Ар бир сапты кош тырмакчага, бир тырмакчага же backtick белгилерине ороп, бош саптарды жана баштапкы сап тартибин сактаңыз.
Куралды ачуу →Текст саптарынан тырмакчаларды алып салуу
Ар бир саптан автоматтык же ачык цитата стилин дал келтирүү аркылуу бир тең салмактуу тышкы тырмакча жупту алып салыңыз.
Куралды ачуу →Ар бир сөздү тырмакчага алуу
Ар бир Unicode сөз белгисин тандалган тырмакча белгиси менен курчап, үтүрлөрдү, тыныш белгилерин жана түпнуска боштуктарды сактаңыз.
Куралды ачуу →Сөздөрдөн тырмакчаларды алып салуу
Жуп келген тырмакчалар менен берилген Unicode сөздөрүн өзүнчө ачып жазыңыз, прозадагы тиешеси жок тырмак белгилерин өчүрбөстөн.
Куралды ачуу →Бош саптарды нормалдаштыруу
Калыңдыгын сактап, бош эмес ар бир сапты жана иреттүү бош саптарды сактоо менен, удаалаш бош саптарды так максималдуу сан менен чектеңиз.
Куралды ачуу →Боштуктарды жаңы саптарга айлантуу
Ар бир боштук менен бөлүнгөн токенди өзүнчө сапка өткөрүп, кайталанган боштуктарды, табуляцияларды жана учурдагы сап үзүлүүлөрүн детерминисттик түрдө кыскартыңыз.
Куралды ачуу →Жаңы саптарды бөлгүчкө айландыруу
Бош эмес текст саптарын ар бир саптын сырткы боштугун гана кыскартып, конфигурациялануучу бөлгүч менен бириктириңиз.
Куралды ачуу →Сөз жыштыгын талдоочу
Уникод сөздөрүн кездешүү саны боюнча иреттеп, жөнгө салынуучу эң аз узундук, жыйынтык чеги жана регистрди эске алган салыштыруу менен.
Куралды ачуу →Сөздөрдүн ичиндеги тамгаларды иреттөө
Ар бир сөздүн ичинде Юникод тамгаларын жана сандарды өзүнчө иреттеңиз, тыныш белгилерин же сөздөрдүн өздөрүн жылдырбай.
Куралды ачуу →Бардык тексттик белгилерди сорттоо
Толук киргизүүдөгү бардык Unicode код чекиттерин милдеттүү тартипте, боштукту каалагандай алып салуу менен жана жогору же төмөн багытты ачык көрсөтүү менен иреттеңиз.
Куралды ачуу →Сан Текст Сүйлөмдөр
Ар бир аныкталган сүйлөмдү өзүнүн номерленген сабына, жөнгө салынуучу баштапкы мааниси жана үч окууга оңой белги стилдери менен жайгаштырыңыз.
Куралды ачуу →Сан, Текст, Абзацтар
Ар бир абзацтын ичиндеги сап бөлүнүүлөрүн жана форматтоону сактап, бош сап менен бөлүнгөн абзацтарды санагыла.
Куралды ачуу →Кайталанган сүйлөмдөрдү табуучү
Толук кайталанган сүйлөмдөрдү так санап, чоң-кичине тамгаларга сезимтал же сезимтал эмес салыштырууну колдонуп тизмектеңиз.
Куралды ачуу →Уникалдуу сүйлөмдөрдү бөлүп алгыч
Ар бир толук сүйлөмдүн биринчи көрүнүшүн калтырып, кийинчерээк кайталангандарын тандалма регистр эрежеси боюнча алып салыңыз.
Куралды ачуу →Base32 текст коддогучу жана декоддогучу
UTF-8 текстин канондук RFC 4648 Base32 форматына айлантыңыз же толтурулган же толтурулбаган Base32 маанисин катуу декоддоңуз.
Куралды ачуу →Base32hex Текст коддоочу жана декоддоочу
RFC 4648дин 7-бөлүмүндө аныкталган кеңейтилген он алтылык Base32 алфавити менен UTF-8ди коддоо жана декоддоо.
Куралды ачуу →Base45 текст коддоочу жана декоддоочу
QR багытындагы маалымат форматтарында колдонулган компакттуу RFC 9285 Base45 алфавити менен UTF-8 текстти өзгөртүңүз.
Куралды ачуу →Base58 Bitcoin тексти коддоочу жана декоддоочу
UTF-8 байттарын Bitcoin Base58 алфавити менен алдыңкы нөл байттарын так сактоо менен айландырыңыз.
Куралды ачуу →Ascii85 текст коддоочу жана декоддоочу
UTF-8ти беш белгиден турган Ascii85 топтору менен коддоңуз же кошумча бөлгүчтөрү жана z кысуу менен катуу Adobe-шайкеш маалыматты декоддоңуз.
Куралды ачуу →Квотталган-Printable текст коддогучу жана декоддогучу
UTF-8 почта стилиндеги текстти RFC 2045 quoted-printable катары коддоңуз же текшерилген чоң тамгалардагы качууларды жана браузер нормалдаштырган сап үзүүлөрүн декоддоңуз.
Куралды ачуу →Бул бетте ылайыктуу куралдар жок.